<?
    
    include './system/common.php';
    
 include './system/functions.php';
        
      include './system/user.php';
    
if(!$user) {

  header('location: /');
    
exit;

}

if($user['save'] == 1) {

  header('location: /');
  exit;

}

$title = 'Сохранение';    

include './system/h.php';  

   $login = _string($_POST['login']);
$password = _string($_POST['password']);
$kode = _string($_POST['kode']);
$sex=_string($_POST['sex']);
$r=_string($_POST['r']);

if($login && $password && $kode) {
  
  if(!preg_match('/[a-z0-9а-я]{2,20}/i', $login)) $errors[] = 'Ошибка, имя персонажа введено не верно';
  if(!preg_match('/[a-z0-9]{2,20}/i', $password)) $errors[] = 'Ошибка, пароль введен неверно';
  if(!preg_match('/[a-z0-9а-я]{2,20}/i', $kode)) $errors[] = 'Ошибка, секретный код введено не верно';

  if(mysql_result(mysql_query('SELECT COUNT(*) FROM `users` WHERE `login` = \''.$login.'\''),0) != 0) $errors[] = 'Ошибка, выбранное имя персонажа уже занято';  
  
  if($errors) {

        echo '<div class=\'content\' align=\'center\'>';
        
        foreach($errors as $error) {
          
          echo $error.'<br/>';
          
        }
      
        echo '</div>
<div class=\'line\'></div>';

  }
  else
  {
  
    mysql_query('UPDATE `users` SET `login` = \''.$login.'\', 
                                 `password` = \''.$password.'\',
                                 `kode` = \''.$kode.'\',
                                     `save` = \'1\',
                                     `r`=\''.$r.'\',
                                     `sex`=\''.$sex.'\',
                                     `g` = `g` + 100 WHERE `id` = \''.$user['id'].'\'');

    setCookie('password', $password, time() + 86400, '/');
  
    header('location: /');
  
  }
  
}

echo '<div class=\'title\'>'.$title.'</div>
<div class=\'line\'></div>
<div class=\'content\' align=\'center\'>
  <font color=\'#90c090\'>За регистрацию вы получите <img src=\'/images/icon/gold.png\' alt=\'*\'/> 100 рублей!</font>
</div>
<div class=\'line\'></div>
<div class=\'content\' align=\'center\'>
  <form action=\'/save/\' method=\'post\'>
  Логин:<br/>
  <input name=\'login\' value=\''.$login.'\'/><br/>
  Пароль:<br/>
  <input name=\'password\' value=\''.$password.'\'/><br/>
    Секретный код(не более 16 символов):<br/>
  <input name=\'kode\' value=\''.$kode.'\'/><br/>';

?>
Пол:<br/>
  <select name ='sex'>
    <option value='0'>Мужской</option>
    <option value='1'>Женский</option>
  </select><br/>
  Сторона:<br/>
   <select name ='r'>
    <option value='0'>Асура</option>
    <option value='1'>Борея</option>
  </select><br/>

<?
 echo '<input type=\'submit\' value=\'Сохранить\'/>
</form>
</div>
<div class=\'line\'></div>
<div class=\'list\'>
  <li class=\'no_b\'><a href=\'/?exit\'><img src=\'/images/icon/section.png\' alt=\'*\'/> <font color=\'#909090\'>Выход</font></a></li>
</div>';
  
include './system/f.php';

?>